"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _common = require("../features/common");
class ViewerEvent {
  constructor(originalEvent, value, SVGViewer) {
    this.originalEvent = originalEvent;
    this.value = value;
    this.SVGViewer = SVGViewer;
  }
  get scaleFactor() {
    this._cacheDecomposedValue = this._cacheDecomposedValue || (0, _common.decompose)(this.value);
    return this._cacheDecomposedValue.scaleFactor;
  }
  get translationX() {
    this._cacheDecomposedValue = this._cacheDecomposedValue || (0, _common.decompose)(this.value);
    return this._cacheDecomposedValue.translationX;
  }
  get translationY() {
    this._cacheDecomposedValue = this._cacheDecomposedValue || (0, _common.decompose)(this.value);
    return this._cacheDecomposedValue.translationY;
  }
  preventDefault() {
    this.originalEvent.preventDefault();
  }
  stopPropagation() {
    this.originalEvent.stopPropagation();
  }
}
exports.default = ViewerEvent;