"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _viewerEvent = _interopRequireDefault(require("./viewer-event"));
var _interactions = require("../features/interactions");
var _common = require("../features/common");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
class ViewerMouseEvent extends _viewerEvent.default {
  get point() {
    if (!this._cachePoint) {
      const {
        originalEvent: event,
        SVGViewer,
        value
      } = this;
      const mousePosition = (0, _interactions.getMousePosition)(event, SVGViewer);
      this._cachePoint = (0, _common.getSVGPoint)(value, mousePosition.x, mousePosition.y);
    }
    return this._cachePoint;
  }
  get x() {
    return this.point.x;
  }
  get y() {
    return this.point.y;
  }
}
exports.default = ViewerMouseEvent;