"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = MiniatureToggleButton;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _miniature = require("../features/miniature");
var _iconArrow = _interopRequireDefault(require("./icon-arrow"));
var _constants = require("../constants");
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function MiniatureToggleButton(_ref) {
  let {
    value,
    onChangeValue,
    position
  } = _ref;
  let style = {
    width: "24px",
    height: "24px",
    display: "block",
    position: "absolute",
    bottom: 0,
    [position === _constants.POSITION_LEFT ? 'left' : 'right']: '0px',
    background: "rgba(19, 20, 22, 0.901961)",
    border: 0,
    padding: 0,
    outline: 0,
    color: "#fff"
  };
  let action = value.miniatureOpen ? _miniature.closeMiniature : _miniature.openMiniature;
  return /*#__PURE__*/_react.default.createElement("button", {
    type: "button",
    style: style,
    onClick: () => onChangeValue(action(value))
  }, /*#__PURE__*/_react.default.createElement(_iconArrow.default, {
    open: value.miniatureOpen,
    position: position
  }));
}
MiniatureToggleButton.propTypes = {
  value: _propTypes.default.object.isRequired,
  onChangeValue: _propTypes.default.func.isRequired,
  position: _propTypes.default.oneOf([_constants.POSITION_RIGHT, _constants.POSITION_LEFT]).isRequired
};