"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _propTypes = _interopRequireDefault(require("prop-types"));
var _constants = require("../constants");
var _RandomUID = _interopRequireDefault(require("../utils/RandomUID"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
const prefixID = 'react-svg-pan-zoom_border_gradient';
function BorderGradient(_ref) {
  let {
    direction,
    width,
    height,
    _uid
  } = _ref;
  let transform;
  switch (direction) {
    case _constants.POSITION_TOP:
      transform = `translate(${width}, 0) rotate(90)`;
      break;
    case _constants.POSITION_RIGHT:
      transform = `translate(${width}, ${height}) rotate(180)`;
      break;
    case _constants.POSITION_BOTTOM:
      transform = `translate(0, ${height}) rotate(270)`;
      break;
    case _constants.POSITION_LEFT:
    default:
      transform = " ";
      break;
  }
  let gradientID = `${prefixID}_gradient_${_uid}`;
  let maskID = `${prefixID}_mask_${_uid}`;
  return /*#__PURE__*/_react.default.createElement("g", null, /*#__PURE__*/_react.default.createElement("defs", null, /*#__PURE__*/_react.default.createElement("linearGradient", {
    id: gradientID,
    x1: "0%",
    y1: "0%",
    x2: "100%",
    y2: "0%",
    spreadMethod: "pad"
  }, /*#__PURE__*/_react.default.createElement("stop", {
    offset: "0%",
    stopColor: "#fff",
    stopOpacity: "0.8"
  }), /*#__PURE__*/_react.default.createElement("stop", {
    offset: "100%",
    stopColor: "#000",
    stopOpacity: "0.5"
  })), /*#__PURE__*/_react.default.createElement("mask", {
    id: maskID,
    x: "0",
    y: "0",
    width: "20",
    height: Math.max(width, height)
  }, /*#__PURE__*/_react.default.createElement("rect", {
    x: "0",
    y: "0",
    width: "20",
    height: Math.max(width, height),
    style: {
      stroke: "none",
      fill: `url(#${gradientID})`
    }
  }))), /*#__PURE__*/_react.default.createElement("rect", {
    x: "0",
    y: "0",
    width: "20",
    height: Math.max(width, height),
    style: {
      stroke: "none",
      fill: "#000",
      mask: `url(#${maskID})`
    },
    transform: transform
  }));
}
BorderGradient.propTypes = {
  direction: _propTypes.default.oneOf([_constants.POSITION_TOP, _constants.POSITION_RIGHT, _constants.POSITION_BOTTOM, _constants.POSITION_LEFT]).isRequired,
  width: _propTypes.default.number.isRequired,
  height: _propTypes.default.number.isRequired
};
var _default = exports.default = (0, _RandomUID.default)(BorderGradient);